#!/bin/bash
daTe=`date +%Y%m%d%H%M%S`
mkdir /etc/kubernetes/backup-$daTe
cp -r /etc/kubernetes/ssl /etc/kubernetes/backup-$daTe/
cp -r /etc/kubernetes/*.conf /etc/kubernetes/backup-$daTe/
cp -r ~/.kube/config /etc/kubernetes/backup-$daTe/
kubeadm alpha certs renew admin.conf
kubeadm alpha certs renew apiserver
kubeadm alpha certs renew apiserver-kubelet-client
kubeadm alpha certs renew controller-manager.conf
kubeadm alpha certs renew front-proxy-client
kubeadm alpha certs renew scheduler.conf
