#!/bin/bash
daTe=`date +%Y%m%d%H%M%S`
newTok=`/usr/local/bin/kubeadm token create --print-join-command | awk {'print $5'}`
oldTok=`cat /etc/kubernetes/bootstrap-kubelet.conf | grep 'token: ' | awk {'print $2'}`
sed -i "s/$oldTok/$newTok/gi" /etc/kubernetes/bootstrap-kubelet.conf
cp -arp /var/lib/kubelet/pki /var/lib/kubelet/pki-$daTe
rm -rf /var/lib/kubelet/pki/kubelet*
